Loading...
Searching...
No Matches
L4Re::Util::Cap_alloc_base Class Reference
L4Re C++ Interface » L4Re Util C++ Interface

Capability allocator. More...

`#include <bitmap_cap_alloc>`

Collaboration diagram for L4Re::Util::Cap_alloc_base:

## Public Member Functions

template<typename T>
L4::Cap< T > | alloc () noexcept
| Allocate a capability slot.
template<typename T>
void | free (L4::Cap< T > const &cap, l4_cap_idx_t task=L4_INVALID_CAP, l4_umword_t unmap_flags=L4_FP_ALL_SPACES) noexcept
| Free a capability slot.

## Detailed Description

Capability allocator.

Definition at line 28 of file bitmap_cap_alloc.

The documentation for this class was generated from the following file:

- l4/re/util/bitmap_cap_alloc